﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls.Grid;

namespace ComboBoxCell
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public static EmployeesSource employeesSource = new EmployeesSource();

        public Window1()
        {
            InitializeComponent();

            Height = 400;
            SizeToContent = SizeToContent.Width;

            grid.Model.RowCount = 42 + 1;
            grid.Model.ColumnCount = 4 + 1;

            grid.Model.CellModels.Add("ComboBox", new ComboBoxCellModel());
            grid.Model.ColumnWidths[2] = 250;

            for (int n = 0; n < employeesSource.Employees.Count; n++)
            {
                GridStyleInfo style = grid.Model[n + 1, 2];
                style.CellType = "ComboBox";
                style.CellTemplateKey = "editableEmployee";
                style.CellValue = employeesSource.Employees[n];
                style.Background = Brushes.Linen;
            }

        }

    }
}
